Bug 757239 - (kactivities) Review Request: kactivities - API for using and interacting with Activities
Review Request: kactivities - API for using and interacting with Activities
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-11-25 18:19 EST by Rex Dieter
Modified: 2011-11-29 09:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-29 09:47:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-11-25 18:19:30 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kactivities/kactivities.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kactivities/kactivities-4.7.80-1.fc16.src.rpm
Description: API for using and interacting with Activities

Package rename libkactivities -> kactivities mostly.
Comment 1 Kevin Kofler 2011-11-25 18:23:22 EST
I'm taking this review.

This has been reviewed and approved very recently in bug #749055, the only thing which has changed is the name (due to upstream).

The Obsoletes look correct, but shouldn't we add matching Provides? (rpmlint will complain otherwise, and I think it can't hurt.)
Comment 2 Kevin Kofler 2011-11-25 18:28:10 EST
Obsoletes: libkactivities < 6.1-100
Provides:  libkactivities = 6.1-100

[snip]

%package devel
Summary: Developer files for %{name}
Obsoletes: libkactivities-devel < 6.1-100
Provides:  libkactivities-devel = 6.1-100

This is correct, the last libkactivities package was 6.1-2%{?dist} and had no Epoch, going to 100 allows for bugfix builds if needed.

Otherwise, the package hasn't changed since it got approved and I can't see anything wrong with it.

APPROVED
Comment 3 Rex Dieter 2011-11-25 18:36:59 EST
New Package SCM Request
=======================
Package Name: kactivities
Short Description: API for using and interacting with Activities
Owners: than jreznik kkolfer ltinkl rdieter rnovacek
Branches: f16
InitialCC:
Comment 4 Kevin Kofler 2011-11-25 18:41:28 EST
New Package SCM Request
=======================
Package Name: kactivities
Short Description: API for using and interacting with Activities
Owners: than jreznik kkofler ltinkl rdieter rnovacek
Branches: f16
InitialCC:

It helps if my name is spelled correctly. ;-)
Comment 5 Jon Ciesla 2011-11-27 17:08:28 EST
Git done (by process-git-requests).
Comment 6 Rex Dieter 2011-11-29 09:47:31 EST
imported, built.  thanks!

Note You need to log in before you can comment on or make changes to this bug.